local status_ok, _ = pcall(require, "nvim-treesitter")
if not status_ok then
	return
end

vim.cmd("set foldmethod=expr")
vim.cmd("set foldexpr=nvim_treesitter#foldexpr()")
vim.cmd("set nofoldenable")

local configs
status_ok, configs = pcall(require, "nvim-treesitter.configs")
if not status_ok then
	return
end

configs.setup({
  ensure_installed = { "lua", "markdown", "markdown_inline", "bash", "python" }, -- put the language you want in this array
  -- ensure_installed = "all", -- one of "all" or a list of languages
	ignore_install = { "" }, -- List of parsers to ignore installing
	sync_install = false, -- install languages synchronously (only applied to `ensure_installed`)

    highlight = {
		enable = true, -- false will disable the whole extension
		disable = { "css", "help" }, -- list of language that will be disabled
	},
	autopairs = {
		enable = true,
	},
	indent = { enable = true, disable = { "python", "css", "rust" } },

	context_commentstring = {
		enable = true,
		enable_autocmd = false,
	},
})

local context
status_ok, context = pcall(require, "nvim-treesitter.context")
if not status_ok then
	return
end

context.setup({})

